<?php
/**
* The template for displaying archive pages
* If you'd like to further customize these archive views, you may create a
*
* @package ThemeHunk
* @subpackage Blogangellite
* @since Blogangellite 1.0
*/
?>
<?php get_header(); ?>
<div id="page" class="clearfix right">
	<div class="content-wrapper clearfix"><!--content wrapper start-->
	<div class="archive-title">
		<?php
			if ( is_day() ) :
				printf( __( '<h1>Daily Archives : %s</h1>', 'blogangellite' ), get_the_date() );
			elseif ( is_month() ) :
				printf( __( '<h1>Monthly Archives : %s</h1>', 'blogangellite' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'blogangellite' ) ) );
			elseif ( is_year() ) :
				printf( __( '<h1>Yearly Archives : %s</h1>', 'blogangellite' ), get_the_date( _x( 'Y', 'yearly archives date format', 'blogangellite' ) ) );
			else :
			printf( __( '<h1>Archives : %s</h1>', 'blogangellite' ), single_cat_title( '', false ) );
			endif;
		?>
	</div>
	<!-- Content Start -->
	<div class="content">
		<?php if (have_posts()) : ?>
		<?php global $grid_layout; ?>
		<div id="main">
			<ul class="<?php echo $grid_layout; ?>">
				<?php
				if($grid_layout=='standard-layout'):
						// Start the post formate loop.
				while ( have_posts() ) : the_post();
				get_template_part( 'content', get_post_format() );
				endwhile;
				else :
					// Start the post formate grid.
				while ( have_posts() ) : the_post();
				get_template_part( 'content', 'grid' );
				endwhile;
				endif;
				// If no content, include the "No posts found" template.
				?>
			</ul>
			
		</div>
		<?php
				else :
				get_template_part( 'content', 'none' );
				endif;
		?>
	</div>
	<div class="sidebar-wrapper">
		<?php get_sidebar(); ?>
	</div>
</div>
</div><!-- Content End -->
<?php get_footer(); ?>