<?php
if ( ! isset( $content_width ) ) {
  $content_width = 1170;
}

function blogangellite_setup() {

  //languages
load_theme_textdomain('blogangellite', get_template_directory() . '/languages');


// Add RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );

    /*
     * Enable support for Post Formats.
     */

    add_theme_support( 'post-formats', array(
         'gallery','video', 'audio', 'link','quote'
    ) );
    /*
     * Switch default core markup for search form, comment form, and comments
     * to output valid HTML5.
     */
    add_theme_support( 'html5', array(
        'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
    ) );

    /*
   * Let WordPress manage the document title.
   * By adding theme support, we declare that this theme does not use a
   * hard-coded <title> tag in the document head, and expect WordPress to
   * provide it for us.
   */
 add_theme_support( 'title-tag' );

/**
  * dynamic social link
  *
  */


}
add_action( 'after_setup_theme', 'blogangellite_setup' );

require_once( get_template_directory() . '/inc/index.php' );

/**
 * Enqueue scripts and styles for the front end.
 *
 */
function blogangellite_scripts() {
  // Add Genericons font, used in the main stylesheet.
  wp_enqueue_style( 'blogangellite-font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '1.0.0' );
  wp_enqueue_style('blogangellite-style', get_stylesheet_uri());

    wp_enqueue_script( 'blogangellite-classie', get_template_directory_uri() . '/js/classie.js', array( 'jquery' ), '', false );
    wp_enqueue_script( 'blogangellite-flexslider-min', get_template_directory_uri() . '/js/jquery.flexslider-min.js', array( 'jquery' ), '', true );
    wp_enqueue_script( 'blogangellite-smoothscroll.min', get_template_directory_uri() . '/js/smoothscroll.min.js', array( 'jquery' ), '', true );
  
  wp_enqueue_script( 'blogangellite-custom', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), '', true );

  // Comment reply
  if (is_singular() && get_option('thread_comments')){
    wp_enqueue_script('comment-reply');
  }
}

add_action( 'wp_enqueue_scripts', 'blogangellite_scripts' );



function blogangellite_social_links(){
?>
    <ul>
<?php if($f_link = get_theme_mod('f_link')) : ?><li><a target='_blank' href="<?php echo $f_link; ?>" ><i class='fa fa-facebook'></i></a></li><?php endif; ?>
<?php if($t_link = get_theme_mod('t_link')) : ?><li><a target='_blank' href="<?php echo $t_link; ?>" ><i class='fa fa-google-plus'></i></a></li><?php endif; ?>
<?php if($g_link = get_theme_mod('g_link')) : ?><li><a target='_blank' href="<?php echo $g_link; ?>" ><i class='fa fa-linkedin'></i></a></li><?php endif; ?>
    </ul>

<?php }

global $grid_layout;
$grid_layout = get_theme_mod('dynamic_grid','standard-layout');
?>