<?php

 /**
 * Enable support for Post Thumbnails on posts and pages.
 *
 * @param  
 * @return mixed|string
 */

    add_theme_support('post-thumbnails');
    /* Set the image size by cropping the image */
    add_image_size( 'custom-standard-thumb', 1170, 667, true );
    add_image_size( 'custom-two-grid-thumb', 562, 320, true );
   

// only post format search
function bloganagel_search_filter($query) {
	if ($query->is_search) {
	$query->set('post_type', 'post');
	}
	return $query;
}
	add_filter('pre_get_posts','bloganagel_search_filter');

 
function blogangellite_grid_thumb($grid_layout, $thumb_crop=true){
    if($thumb_crop):
switch($grid_layout){
        case 'two-grid-layout':
             the_post_thumbnail('custom-two-grid-thumb');
            break;
}   
endif;

}

/*
 * Custom header menu
 *
*/

add_action( 'after_setup_theme', 'blogangellite_register_theme_menu' );
function blogangellite_register_theme_menu() {
  register_nav_menu( 'primary', __( 'Primary Menu', 'blogangellite' ) );
}
    function blogangellite_nav_menu(){
    	wp_nav_menu( array('theme_location' => 'primary', 
    	'container' => false, 
    		'menu_class' => 'menu', 
    		'menu_id'         => 'menu',
    		'fallback_cb'     => 'blogangellite_wp_page_menu'));
    }

   function blogangellite_wp_page_menu()
{
    echo '<ul class="menu" id="menu">';
    wp_list_pages(array('title_li' => ''));
    echo '</ul>';
}

/**
 * Display navigation to next/previous post when applicable.
 *
 * @since ThemeHunk 1.0
 */

if ( ! function_exists( 'blogangellite_post_nav' ) ) :
function blogangellite_post_nav() {
    // Don't print empty markup if there's nowhere to navigate.
    ?>

    <nav class="navigation post-navigation" role="navigation">
        <div class="nav-links">
           <?php
              the_post_navigation( array(
                'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( '%title', 'blogangellite' ) . '</span> ' ,
                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( '%title', 'blogangellite' )));
                //%title
            ?>
        </div><!-- .nav-links -->
    </nav><!-- .navigation -->
    <?php
}
endif;

/**
 * custom post excerpt
 */
function blogangellite_get_custom_excerpt(){
$excerpt = get_the_content();
$excerpt = preg_replace(" (\[.*?\])",'',$excerpt);
$excerpt = strip_shortcodes($excerpt);
$excerpt = strip_tags($excerpt);
$excerpt = substr($excerpt, 0, 200);
$excerpt = substr($excerpt, 0, strripos($excerpt, " "));
$excerpt = trim(preg_replace( '/\s+/', ' ', $excerpt));
$return =  '<p>'.$excerpt.'</p><span class="read-more"><a href="'.get_permalink().'" >Read More</a></span>';
return $return;
}

// related post
  function blogangellite_get_related_sigle_post() {
    global $post;
     $args = array(
               'category__in' => wp_get_post_categories($post->ID),
               'post__not_in' => array($post->ID),
                'post_status' => array('publish'),                         
                'meta_key' => '_thumbnail_id',
                'posts_per_page' => 3,
            );
        $my_query = new WP_Query($args);
        if ($my_query->have_posts()) {
            while ($my_query->have_posts()) : $my_query->the_post();
                ?>
               <li class="sl-related-thumbnail">
                    <div class="sl-related-thumbnail-size">
                        <?php
                       if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
                            ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('custom-releted-post-thumb',array('class' => "postimg listing-thumbnail")); ?></a>
                            <?php } ?>
                        </div>
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                </li>
                <?php
            endwhile;
        }
    wp_reset_query(); // to use the original query again
}

/*Number of comment*/
function blogangellite_comment_number(){ ?>
<?php comments_popup_link(__('No Comment','blogangellite'), __('1 Comment','blogangellite'), __('% Comments','blogangellite')); ?>
<?php }

function blogangellite_userPic(){
     $address = get_the_author_meta('user_email');
     $nicname = get_the_author_meta('user_nicename');
    $pic = get_avatar( $address, 80, '', $nicname); 
    return $pic;
  }
  ?>